<script setup lang="ts">
defineProps({
  tag: { type: String, required: false, default: "div" },
});
</script>

<template>
  <transition-group name="list" :tag="tag">
    <slot></slot>
  </transition-group>
</template>

<style>
.list-move, /* apply transition to moving elements */
.list-enter-active,
.list-leave-active {
  transition: all 0.3s ease;
}

.list-enter-from,
.list-leave-to {
  transform: rotateX(90deg);
  transform-origin: center top;
}

/* ensure leaving items are taken out of layout flow so that moving
   animations can be calculated correctly. */
.list-leave-active {
  position: absolute;
}
</style>
